# Disabled by default
%bcond_with check 

%global srcname aesara

Name: python-%{srcname}
Version: 2.0.12
Release: 1%{?dist}
Summary: Python optimizing compiler for evaluating mathematical expressions

# These files are under MIT
# aesara/graph/sched.py
# aesara/misc/ordered_set.py
# aesara/scalar/c_code/Faddeeva.cc
# aesara/scalar/c_code/Faddeeva.hh

License: BSD and MIT
URL: https://github.com/aesara-devs/aesara
Source0: %{pypi_source}

BuildArch:  noarch

%global _description %{expand:
Aesara is a Python library that allows you to define, optimize, and 
efficiently evaluate mathematical expressions involving multi-dimensional 
arrays. It is built on top of NumPy.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with check}
BuildRequires:  %{py3_dist pytest}
%endif

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}
chmod +x aesara/misc/check_blas.py
chmod +x aesara/misc/check_multi_gpu.py


%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/bin

%if %{with check}
# No tests in the tarball from PyPI
%check
pytest 
%endif

%files -n python3-%{srcname}
%license LICENSE.txt
%doc DESCRIPTION.txt  README.rst  
%{_bindir}/%{srcname}-*
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%changelog
* Tue Jun 22 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.0.12-1
- New release

* Sat Jun 12 2021 Sergio Pascual <sergiopr@fedoraproject.org> - 2.0.10-1
- Initial package
